Bug 127651

Summary: [GTK] Web Inspector doesn't work with network process enabled
Product: WebKit Reporter: Carlos Garcia Campos <cgarcia>
Component: WebKit2Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: andersca, aperez, dpino, gns, svillar
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 108832    
Attachments:
Description Flags
Patch svillar: review+

Description Carlos Garcia Campos 2014-01-26 07:23:06 PST
Nothing happens when inspecting an element in MiniBrowser and unit tests time out.

../../Tools/Scripts/run-gtk-tests --verbose --no-xvfb Programs/TestWebKitAPI/WebKit2Gtk/TestInspector***
TEST: Programs/TestWebKitAPI/WebKit2Gtk/TestInspector... (pid=7928)
  /webkit2/WebKitWebInspector/default:                                 OK
  /webkit2/WebKitWebInspector/manual-attach-detach:                    OK
  /webkit2/WebKitWebInspector/custom-container-destroyed:              OK
PASS: Programs/TestWebKitAPI/WebKit2Gtk/TestInspector

$ WEBKIT_USE_NETWORK_PROCESS=1 ../../Tools/Scripts/run-gtk-tests --verbose --no-xvfb Programs/TestWebKitAPI/WebKit2Gtk/TestInspector
TEST: Programs/TestWebKitAPI/WebKit2Gtk/TestInspector... (pid=7832)
  /webkit2/WebKitWebInspector/default:                                 OK
TEST: Programs/TestWebKitAPI/WebKit2Gtk/TestInspector: TIMEOUT
Comment 1 Carlos Garcia Campos 2014-01-27 02:24:34 PST
It doesn't always happen, sometimes it works perfectly so it looks like a race condition somewhere. I've debugged this for a while and I've noticed that when it doesn't work some resources are not loaded, for example InspectorJSBackendCommands.js and InspectorWebBackendCommands.js. Those are inserted in the document by LoadInspectorBackendCommands.js which is always loaded.
Comment 2 Carlos Garcia Campos 2014-02-27 02:48:23 PST
Created attachment 225351 [details]
Patch
Comment 3 Sergio Villar Senin 2014-02-27 03:15:20 PST
Comment on attachment 225351 [details]
Patch

Awesome find!
Comment 4 Carlos Garcia Campos 2014-02-27 03:25:06 PST
Committed r164787: <http://trac.webkit.org/changeset/164787>